No know method for selector didReceiveRemoteNotification

(Please write your issue here along with the environment details below)

Environment

  1. Target Platform (e.g. iOS, Android):
    IOS
  2. Development Operating System (e.g. macOS Sierra, Windows 10):
    macOS Sierra
  3. Build tools (Xcode or Android Studio version, iOS or Android SDK version, if relevant):
    Xcode 8.3.3
  4. React Native version (e.g. 0.45.1):
    0.43.4
  5. RNFirebase Version (e.g. 2.0.2):
    1.0.10

Hi,
When i try to add

- (void)application:(UIApplication *)application didReceiveRemoteNotification:(nonnull NSDictionary *)userInfo {
  [RNFirebaseMessaging didReceiveRemoteNotification:userInfo];
}

in AppDelegate.m i have this error in compile time

No know method for selector didReceiveRemoteNotification

Any ideas ?
Thanks in advance

Author: Fantashit

1 thought on “No know method for selector didReceiveRemoteNotification

  1. Solved,
    Needed to change pod file for firebase 4.0.0 :

    pod ‘Firebase/Messaging’
    to
    pod ‘Firebase/Messaging’, ‘~> 4.0.0’

    Maybe it will be useful to add this to your doc 🙂

Comments are closed.

No know method for selector didReceiveRemoteNotification

(Please write your issue here along with the environment details below)

Environment

  1. Target Platform (e.g. iOS, Android):
    IOS
  2. Development Operating System (e.g. macOS Sierra, Windows 10):
    macOS Sierra
  3. Build tools (Xcode or Android Studio version, iOS or Android SDK version, if relevant):
    Xcode 8.3.3
  4. React Native version (e.g. 0.45.1):
    0.43.4
  5. RNFirebase Version (e.g. 2.0.2):
    1.0.10

Hi,
When i try to add

- (void)application:(UIApplication *)application didReceiveRemoteNotification:(nonnull NSDictionary *)userInfo {
  [RNFirebaseMessaging didReceiveRemoteNotification:userInfo];
}

in AppDelegate.m i have this error in compile time

No know method for selector didReceiveRemoteNotification

Any ideas ?
Thanks in advance

Author: Fantashit

1 thought on “No know method for selector didReceiveRemoteNotification

  1. Solved,
    Needed to change pod file for firebase 4.0.0 :

    pod ‘Firebase/Messaging’
    to
    pod ‘Firebase/Messaging’, ‘~> 4.0.0’

    Maybe it will be useful to add this to your doc 🙂

Comments are closed.